## sagan 1.0.1

=== Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sagan
pkgincludedir = $(includedir)/sagan
pkglibdir = $(libdir)/sagan
pkglibexecdir = $(libexecdir)/sagan
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
	$(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in COPYING TODO config.guess config.sub \
	depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_ext.m4 \
	$(top_srcdir)/m4/ax_gcc_x86_avx_xgetbv.m4 \
	$(top_srcdir)/m4/ax_gcc_x86_cpuid.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/champ/code/sagan/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/champ/code/sagan/missing autoconf
AUTOHEADER = ${SHELL} /home/champ/code/sagan/missing autoheader
AUTOMAKE = ${SHELL} /home/champ/code/sagan/missing automake-1.13
AWK = gawk
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENDIAN = little
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JSONC_CFLAGS = -I/usr/include/json 
JSONC_LIBS = -ljson 
JSON_C_CFLAGS = -I/usr/include/json 
JSON_C_LIBS = -ljson 
LDFLAGS = 
LIBESTR_CFLAGS = 
LIBESTR_LIBS = -L/usr/lib -lestr 
LIBLOGNORM_CFLAGS = 
LIBLOGNORM_LIBS = -L/usr/lib -llognorm -lestr 
LIBOBJS = 
LIBS = -lcurl -ldnet -llognorm -lestr -ljson -lesmtp -lmaxminddb -lm -lpthread -lpcre 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/champ/code/sagan/missing makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sagan
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SET_MAKE = 
SHELL = /bin/sh
SIMD_FLAGS =  -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1
STRIP = 
VERSION = 1.0.1
abs_builddir = /home/champ/code/sagan
abs_srcdir = /home/champ/code/sagan
abs_top_builddir = /home/champ/code/sagan
abs_top_srcdir = /home/champ/code/sagan
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/champ/code/sagan/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPIONS = foreign no-dependencies
SUBDIRS = src
INCLUDES = @INCLUDES@
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then rm -f stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,

=== debian/changelog ===
sagan (1.0.1-0.3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:01:41 +0000

sagan (1.0.1-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * kfreebsd-i386 and hurd-i386 added to the condiction which
    set '--enable-system-strstr' when running configure script.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 10 Mar 2016 15:58:41 -0300

sagan (1.0.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
      - no-bluedot.patch renamed. no-bluedot-and-others.patch.
        Less rules, less mem usage. Doesn't run with all rules.
  * debian/rules:
      - DEB_HOST_ARCH var added. To enable '--enable-system-strstr'
        when compiling on i386. (Closes:  #815945).

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 01 Mar 2016 08:32:50 -0300

sagan (1.0.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #753171, #772685)
  * debian/control:
      - added to Build-Depends:
          - libee-dev
          - dh-autoreconf
      - Bumped Standards-Version to 3.9.6.
  * debian/rules:
      - disable dbgsym generation.
      - rm duplicated sagan binary. (Closes: #681794) Thanks Micah Anderson.
      - using '--with autoreconf'. (Closes: #744504) Thanks Matthias Klose.
      - '--enable-bluedot'.
  * debian/patches:
      - 01-do-not-include-lognorm-private-header.patch removed.
        Not needed anymore.
      - no-bluedot.patch added.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 29 Dec 2015 11:46:39 -0200

=== debian/control ===
Source: sagan
Section: admin
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9),
    dh-autoreconf,
    pkg-config,
    libpcre3-dev,
    libesmtp-dev,
    libpcap-dev,
    libmysqlclient-dev,
    libpq-dev,
    libprelude-dev,
    liblognorm-dev,
    libee-dev
Standards-Version: 3.9.6
Homepage: http://sagan.softwink.com/
#Vcs-Git: git://git.debian.org/collab-maint/sagan.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/sagan.git;a=summary

Package: sagan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sagan-rules
Description: Real-time System & Event Log Monitoring System
 Sagan is a multi-threaded, real time system- and event-log monitoring
 system, but with a twist. Sagan uses a “Snort” like rule set for
 detecting malicious events happening on your network and/or computer
 systems.
 If Sagan detects a potentially bad event, that event can be stored to a
 Snort database (MySQL/PostgreSQL), send it to a SIEM tool like Prelude,
 or send an email.
 Sagan is meant to be used in a ‘centralized’ logging environment, but
 will work fine as part of a standalone Host IDS system for workstations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# rules file for Sagan
# Written by Pierre Chifflier
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# No dbgsym generation.
export DEB_BUILD_OPTIONS=noddebs

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
	CONFS:=--enable-system-strstr --with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lm -lestr -lee"
else
	CONFS:=--with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lm -lestr -lee"
endif

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- $(CONFS)

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/sagan/var/run/sagan
	rm -fr debian/sagan/usr/bin
	sed -i \
		-e 's|/usr/local/etc|/etc|' \
		-e 's|/var/run/sagan.fifo|/var/run/sagan/sagan.fifo|' \
		-e 's|^\(.*\)apc-emu.rules|#\1apc-emu.rules|' \
		-e 's|^\(.*\)bonding.rules|#\1bonding.rules|' \
		-e 's|^\(.*\)cacti-thold.rules|#\1cacti-thold.rules|' \
		-e 's|^\(.*\)ossec-mi.rules|#\1ossec-mi.rules|' \
		-e 's|^\(.*\)sonicwall.rules|#\1sonicwall.rules|' \
		debian/sagan/etc/sagan.conf

%:
	dh $@ --with autoreconf

## sagan 1.1.2

=== tools/Makefile ===
CC = gcc
PROGRAM = sagan-peek
PROGRAM_FILES = sagan-peek.c

CFLAGS	+= -g 
LDFLAGS	+= -g
LIBS 	+= -lrt

all: $(PROGRAM)

%: %.c 
	$(CC) $(PROGRAM_FILES) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM) $(LIBS)

clean:
	@rm -rf $(PROGRAM)

=== extra/sagan-gtk/Makefile ===
CC = gcc
PROGRAM = sagan-gtk
PROGRAM_FILES = sagan-gtk.c

CFLAGS	+= -g 
LDFLAGS	+= -g
LIBS 	+=
GTKFLAGS := $(shell pkg-config --cflags --libs gtk+-2.0 gthread-2.0)

all: $(PROGRAM)

%: %.c 
	$(CC) $(PROGRAM_FILES) $(CFLAGS) $(LDFLAGS) $(GTKFLAGS) -o $(PROGRAM) $(LIBS)

clean:
	@rm -rf $(PROGRAM)

=== debian/changelog ===
sagan (1.1.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
      - Build-Depends:
          - default-libmysqlclient-dev instead of libmysqlclient-dev.
            (Closes: #845908)
  * debian/watch:
      - Version 4
      - New url.
  * debian/rules:
      - Add '-fPIE pie' to LDFLAGS.
      - Add '-fPIE' to CFLAGS.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 15 Jan 2017 11:20:18 -0200

sagan (1.1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat:
      - 10

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 25 Oct 2016 10:04:09 -0200

sagan (1.1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #839795).
  * debian/control:
      - debhelper 10.
      - lsb-base package added to Depends.
      - Bump Standards-Version from 3.9.6 to 3.9.8
      - Homepage entry updated.
  * debian/copyright:
      - updated.
      - format 1.0.
  * debian/rules:
      - hardening added.
      - LDFLAGS_MAINT_APPEND added.
  * debian/patches:
      - no-bluedot-and-others.patch refreshed.
  * debian/postinst:
     - '--home /nonexistent' added.
  * debian/postrm:
     - using 'set -e' in the body of the script.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 05 Oct 2016 11:16:54 -0300

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: admin
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
     dh-autoreconf,
     pkg-config,
     libpcre3-dev,
     libesmtp-dev,
     libpcap-dev,
-    libmysqlclient-dev,
+    default-libmysqlclient-dev,
     libpq-dev,
     libprelude-dev,
     liblognorm-dev,
     libee-dev
-Standards-Version: 3.9.6
-Homepage: http://sagan.softwink.com/
+Standards-Version: 3.9.8
+Homepage: https://quadrantsec.com/sagan_log_analysis_engine/
 #Vcs-Git: git://git.debian.org/collab-maint/sagan.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/sagan.git;a=summary
 
 Package: sagan
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sagan-rules
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sagan-rules, 
+         lsb-base (>=3.0-6)
 Description: Real-time System & Event Log Monitoring System
  Sagan is a multi-threaded, real time system- and event-log monitoring
  system, but with a twist. Sagan uses a “Snort” like rule set for

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -fPIE -pie
+
 # No dbgsym generation.
 export DEB_BUILD_OPTIONS=noddebs
 
@@ -25,7 +28,7 @@
 
 override_dh_auto_configure:
 	dh_testdir
-	dh_auto_configure -- $(CONFS)
+	dh_auto_configure -- $(CONFS) CFLAGS="$(CFLAGS) -fPIE"
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
http://quadrantsec.com/download/ sagan-([0-9.]*)\.tar\.gz

## sagan 1.1.8

=== debian/changelog ===
sagan (1.1.8-2) unstable; urgency=medium

  * Add missing build-dep on libyaml-dev

 -- Pierre Chifflier <pollux@debian.org>  Thu, 03 May 2018 09:52:52 +0200

sagan (1.1.8-1) unstable; urgency=medium

  * New upstream version 1.1.8
  * Run autoreconf during build
  * Remove 01-do-not-include-lognorm-private-header, merged upstream
  * Add build-dependency on libee-dev
  * Update config patch to reflect upstream switch to yaml
  * Bump Standards Version to 4.1.4
  * Change priority from extra to optional
  * Update build-dependencies (mysql and lsb-base)
  * Add nonexistent homedir to user creation (lintian warning)
  * Update config

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Apr 2018 17:05:35 +0200

## sagan 1.1.9

=== debian/changelog ===
sagan (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
    - Fix use of 64-bit assembly on 32-bit arch (Closes: #817989)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 14 May 2018 14:09:37 +0200

## sagan 1.2.0

=== debian/changelog ===
sagan (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch cherry-picked upstream
    to remove duplicate rule file in sagan.yaml.
    Closes: Bug#933239.
  * Fix postinst script redirection to silence stderr as intended.
    Closes: Bug#908241. Thanks to Nicolas Jeannerod and Ralf Treinen.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2019 16:15:15 +0200

sagan (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Jul 2018 14:52:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# rules file for Sagan
# Written by Pierre Chifflier
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lm -lestr -lee"

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/sagan/var/run/sagan
	sed -i \
		-e 's|/usr/local/etc|/etc|' \
		-e 's|/var/sagan/fifo/sagan.fifo|/var/run/sagan/sagan.fifo|' \
		-e 's|/var/sagan/ipc|/var/run/sagan/ipc|' \
		-e 's|^\(.*\)apc-emu.rules|#\1apc-emu.rules|' \
		-e 's|^\(.*\)bit9.rules|#\1bit9.rules|' \
		-e 's|^\(.*\)bonding.rules|#\1bonding.rules|' \
		-e 's|^\(.*\)cacti-thold.rules|#\1cacti-thold.rules|' \
		-e 's|^\(.*\)ossec-mi.rules|#\1ossec-mi.rules|' \
		-e 's|^\(.*\)sonicwall.rules|#\1sonicwall.rules|' \
		debian/sagan/etc/sagan.yaml && \
	sed -i '/redis-server/{n;n;s/enabled: yes/enabled: no/}' debian/sagan/etc/sagan.yaml

%:
	dh $@ --with autoreconf

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sagan.softwink.com/download/ sagan-([0-9.]*)\.tar\.gz
